All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::statements_container Class Reference

`#include <forwards.h>`

## Public Types

enum | order_type { SEQUENTIAL, INDEPENDENT }
typedef std::list < scheduler::statement > | data_type

## Public Member Functions

| statements_container (data_type const &data, order_type order)
| statements_container (scheduler::statement const &s0)
| statements_container (scheduler::statement const &s0, scheduler::statement const &s1, order_type order)
std::list < scheduler::statement > const & | data () const
order_type | order () const

## Detailed Description

Definition at line 262 of file forwards.h.

## Member Typedef Documentation

typedef std::list<scheduler::statement> viennacl::device_specific::statements_container::data_type

Definition at line 265 of file forwards.h.

## Member Enumeration Documentation

enum viennacl::device_specific::statements_container::order_type

Enumerator
SEQUENTIAL |
INDEPENDENT |

Definition at line 266 of file forwards.h.

## Constructor & Destructor Documentation

viennacl::device_specific::statements_container::statements_container | ( | data_type const & | data,
|  | order_type | order
| ) |  |

inline

Definition at line 268 of file forwards.h.

viennacl::device_specific::statements_container::statements_container | ( | scheduler::statement const & | s0 | ) |

inline

Definition at line 271 of file forwards.h.

viennacl::device_specific::statements_container::statements_container | ( | scheduler::statement const & | s0,
|  | scheduler::statement const & | s1,
|  | order_type | order
| ) |  |

inline

Definition at line 276 of file forwards.h.

## Member Function Documentation

std::list<scheduler::statement> const& viennacl::device_specific::statements_container::data | ( |  | ) | const

inline

Definition at line 282 of file forwards.h.

order_type viennacl::device_specific::statements_container::order | ( |  | ) | const

inline

Definition at line 284 of file forwards.h.

The documentation for this class was generated from the following file:

- viennacl/device_specific/forwards.h